<?php
// +----------------------------------------------------------------------
// | Copyright (c) 2020-08-10 http://myucms.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: 梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\Controller;
use think\Db;
require_once 'data/extend/QL/QueryList.php';
use data\extend\Ql\QueryList;
class Api extends Admin
{ 
    //添加用户
    public function useradd()
    {
        if (_post()) {
            $data = $this->request->param();
            $data['time'] =  time();
            $data['uid'] =  p_id(16);
            $data['times'] =  time(); 
            $data['ip'] =  $_SERVER["REMOTE_ADDR"];
            $data['password'] = md5(input('password'));
            if (Db::name(input('model'))->strict(false)->insert($data)) {
                return json(array('code' => 1, 'msg' => '添加成功'));
            } else {
                return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
    }
    //更新用户
    public function userupdate()
    {
        if (_post()) {
            $data = $this->request->param();
            $data['times'] =  time();
            if (empty(input('password'))) {
                $data['password'] = fun_f('user', array('id'=>input('id')),'password');
            } else {
                $data['password'] = md5(input('password'));
            }
            if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->update($data)) {
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '更新失败'));
            }
        }
    }
    //通用提交
    public function add()
    {
        if (_post()) {
            $data = $this->request->param();
            $data['time'] =  time();
            $data['times'] =  time();
            if (Db::name(input('model'))->strict(false)->insert($data)) {
                return json(array('code' => 1, 'msg' => '添加成功'));
            } else {
                return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
    }
    //通用更新
    public function update()
    {
        if (_post()) {
            $data = $this->request->param();
            $data['times'] =  time();
            if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->update($data)) {
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '更新失败'));
            }
        }
    }
    //内容提交
    public function contentAdd()
    {
        if (_post()) {
            $data = $this->request->param();
            $title =  preg_replace("/</is", "&lt;", input('title'));
            $title =  preg_replace("/>/is", "&gt;", $title);
            $data['time'] =  time();
            $data['times'] =  time();
            $data['title'] =  $title;
            $data['content'] =  preg(input('content'));
            if (Db::name(input('model'))->strict(false)->insert($data)) {
                return json(array('code' => 1, 'msg' => '添加成功'));
            } else {
                return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
    }
    //内容更新
    public function contentUpdate()
    {
        if (_post()) {
            $data = $this->request->param();
            $title =  preg_replace("/</is", "&lt;", input('title'));
            $title =  preg_replace("/>/is", "&gt;", $title);
            $data['times'] =  time();
            $data['title'] =  $title;
            $data['content'] =  preg(input('content'));
            if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->data($data)->update()) {
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '更新失败'));
            }
        }
    }
    //通用删除
    public function delete()
    {
        if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->delete()) {
            return json(array('code' => 1, 'msg' => '删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '删除失败'));
        }
    }
    //快捷更新
    public function fupdate()
    {
        if (fun_f(input('model'), array('id'=>input('id')),input('or'))==1) {
            $data[input('or')] =  0;
        } else {
            $data[input('or')] =  1;
        }
        if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->update($data)) {
            //return json(array('code' => 1, 'msg' => '更新成功'));
            $this->success('更新成功');
        } else {
            //return json(array('code' => 0, 'msg' => '更新失败'));
            $this->error('更新失败');
        }

    }
    //批量删除
    public function delss()
    {
        $id = input('id');
        $params = input('post.');
        $ids = implode(',', $params['ids']);
        $result = Db::name(input('model'))->strict(false)->delete($ids);
        if ($result) {
            return json(array('code' => 1, 'msg' => '批量删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '批量删除失败'));
        }
    }
    //用户退出
    public function logout()
    {
        session('userid', null);
        cookie('uid', null);
        return json(array('code' => 1, 'msg' => '退出成功'));

    }
    //清除缓存
    public function clear()
    {
        array_map('unlink', glob(TEMP_PATH . '/*.php'));
        rmdir(TEMP_PATH);
        return json(array('code' => 1, 'msg' => '更新缓存成功'));
    }
    //附件上传
    public function uploads()
    {
        if (set('chucun') == 1) {
            //储存本地
            uploads(set('exts'));
        } else {
            //储存七牛
            uploads_qiniu(set('exts'));
        }
        
    }
    //更新配置
    public function set()
    {
        //当没有配置数据自动创建一条记录
        if (fun_c('set', array('id'=>input('id')))==0) {
            $data['time'] =  time();
            $data['title'] =  '配置信息'.input('id');
            Db::name('set')->strict(false)->insert($data);
        } 
        if (request()->isPost()) {
            $data = $this->request->param();
            $id = $data['id'];
            $config = $data['config'];
            $flag = Db::name('set')->strict(false)->where(array('id'=>$id))->setField('config', json_encode($config));
            if ($flag !== false) {
                return json(array('code' => 1, 'msg' => '保存配置成功'));
            } else {
                return json(array('code' => 0, 'msg' => '保存配置失败'));
            }
        }
    }
 
    //添加模型
    public function modeladd()
    {
        if (_post()) {
            if(!preg_match('/^[a-zA-Z]+$/',get('alias'))){
                return json(array('code' => 0, 'msg' => '表只能用输入英文'));
            }
            if (get('tid',0)==0) {
                return json(array('code' => 0, 'msg' => '请选择分类'));
            }
            $data = $this->request->param();
            $data['time'] =  time();
            $data['alias'] =  strtolower(get('alias'));
            if (Db::name(get('model'))->strict(false)->insert($data)) {
                //插入sql语句
                $fix='my_'.$data['alias'];
                $sql =sql("CREATE TABLE `".$fix."` (
                    `id` int(11) NOT NULL AUTO_INCREMENT,
                    `tid` int(11) NULL DEFAULT '0' COMMENT '上级',
                    `m` int(11) NULL DEFAULT '0' COMMENT '模型',
                    `uid` int(11) NULL DEFAULT '0' COMMENT '用户uid',
                    `open` int(11) NULL DEFAULT '1' COMMENT '状态',
                    `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
                    `view` int(11) NULL DEFAULT '1' COMMENT '点击量',
                    `time` int(11) NULL DEFAULT '1' COMMENT '添加时间',
                    `times` int(11) NULL DEFAULT '1' COMMENT '修改时间',
                    `keywords` varchar(255) NOT NULL DEFAULT '' COMMENT '标签',
                    `description` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
                    `file` varchar(255) NOT NULL DEFAULT '' COMMENT 'file',
                    `px` int(11) NULL DEFAULT '1' COMMENT 'px',
                    `baidu` int(11) NULL DEFAULT '0' COMMENT '推送',
                    `content` longblob NOT NULL COMMENT '内容',
                    PRIMARY KEY (`id`)
                ) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='".get('name')."';");
                return json(array('code' => 1, 'msg' => '添加成功'));
            } else {
                 return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
    }

    //更新模型
    public function modelupdate()
    {
        $c = Db::name('model')->where(array('id'=>get('id')))->find();
        if (_post()) {
            $data = $this->request->param();
            if (get('tid',0)==0) {
                return json(array('code' => 0, 'msg' => '请选择分类'));
            }
            if (Db::name(get('model'))->strict(false)->where(array('id' => get('id')))->update($data)) {
                //更新菜单命名
                $data_cate['name'] =  get('name');
                //更新表的描述
                sql("ALTER TABLE `my_".$c['alias']."` COMMENT = '".get('name')."';");
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '更新失败'));
            }
        }
    }
    //删除模型
    public function modeldelete()
    {
        $c = Db::name('model')->strict(false)->where(array('id'=>get('id')))->find();
        if (Db::name(get('model'))->where(array('id' => get('id')))->delete()) {
            sql('DROP TABLE IF EXISTS  my_' . $c['alias'] . ';');
            //删除后台菜单
            return json(array('code' => 1, 'msg' => '删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '删除失败'));
        }
    }
    //添加运行代码
    public function codeadd()
    {
        if (_post()) {
            return json(array('code' => 0, 'msg' => '请授权使用'));
        }
    }
    //一键获取页面采集
    public function caiji()
    {
        return json(array('code' => 0, 'msg' => '请授权使用'));
    }
    //百度推送
    public function baidu()
    {
    	if (empty(set('baidu_api',2))) {
            $this->error('请先配置接口');
        }
        $data = $this->request->param();
        $ids = implode(',', $params['ids']);
        $arr = explode(',', $ids);
        $urls = array();
        for ($i = 0; $i < count($arr); $i++) {
            $urls[$i] = http() . $_SERVER['HTTP_HOST'] . url('index/index/cate',array('html'=>fun_f($params['model'],array('id'=>$arr[$i]),'tid'),'id'=>$arr[$i]));
        }
        $api = set('baidu_api',2);
        $ch = curl_init();
        $options = array(
            CURLOPT_URL => $api, 
            CURLOPT_POST => true, 
            CURLOPT_RETURNTRANSFER => true, 
            CURLOPT_POSTFIELDS => implode("\n", $urls), 
            CURLOPT_HTTPHEADER => array('Content-Type: text/plain'));
        curl_setopt_array($ch, $options);
        $result = curl_exec($ch);
        $res = json_decode($result, true);
        if (isset($res['error'])) {
            $this->error('推送失败:' . $res['message'] . '错误代码' . $res['error'] . '');
        } else {
            for ($i = 0; $i < count($arr); $i++) {
                $datas['baidu'] = 1;
                Db::name($params['model'])->strict(false)->where(array('id'=>$arr[$i]))->update($datas);
            }
            $this->success('成功推送' . $res['success'] . '条，今天还可推送' . $res['remain'] . '条');
            
        }
    }
    //升级
    public function sj()
    { 
        $xiazai = input('title');
        $url = $xiazai . urlencode(iconv("GB2312", "UTF-8", ""));
        $save_dir = 'data/tmp/';
        $filename = 'shengji.zip';
        $res = getFile($url, $save_dir, $filename, 0);
        header('location:/?s=admin&m=api&c=ad');

    }
    //解压
    public function ad()
    {
        $zip = new \ZipArchive();
        if ($zip->open('data/tmp/shengji.zip') === TRUE) {
            $zip->extractTo('.');
            $zip->close();
            unlink('data/tmp/shengji.zip');
            header("content-type:text/html;charset=utf-8");
            header('location:/?s=admin&m=index&c=home');
        }
    }
    //执行sql语句
    public function sql()
    {
        if (_post()) {
            if (Db::sql("".input('sql')."")) {
                return json(array('code' => 1, 'msg' => '执行成功'));
            } else {
                return json(array('code' => 0, 'msg' => '执行失败'));
            }
        }
    }
    //内容单页提交
    public function danAdd()
    {
        if (_post()) {
            $data = $this->request->param();
            $title =  preg_replace("/</is", "&lt;", input('title'));
            $title =  preg_replace("/>/is", "&gt;", $title);
            $data['time'] =  time();
            $data['times'] =  time();
            $data['title'] =  $title;
            $data['content'] =  preg(input('content'));
            if (Db::name(input('model'))->strict(false)->insert($data)) {
                //判断文件是否存在
                if(!is_file("app/index/".set('tpl')."/dan/".$data['template'].".html")){
                    //创建文件
                    if (preg_match("/[\x7f-\xff]/", $data['template'])) {
                        $this->error('模板名称不能有中文');
                    }
                    fopen("app/index/".set('tpl')."/dan/".$data['template'].".html", "w"); 
                }
                return json(array('code' => 1, 'msg' => '添加成功'));
            } else {
                return json(array('code' => 0, 'msg' => '添加失败'));
            }
        }
    }
    //内容更新
    public function danUpdate()
    {
        if (_post()) {
            $data = $this->request->param();
            $title =  preg_replace("/</is", "&lt;", input('title'));
            $title =  preg_replace("/>/is", "&gt;", $title);
            $data['times'] =  time();
            $data['title'] =  $title;
            $data['content'] =  preg(input('content'));
            if (Db::name(input('model'))->strict(false)->where(array('id' => input('id')))->update($data)) {
                //判断文件是否存在
                if(!is_file("app/index/".set('tpl')."/dan/".$data['template'].".html")){
                    //创建文件
                    if (preg_match("/[\x7f-\xff]/", $data['template'])) {
                        $this->error('模板名称不能有中文');
                    }
                    fopen("app/index/".set('tpl')."/dan/".$data['template'].".html", "w"); 
                }
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '更新失败'));
            }
        }
    }
}
